> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nudgen.net/llms.txt
> Use this file to discover all available pages before exploring further.

# List contacts

> Lists contacts in the active workspace. Contact PII is decrypted in the authorized response.



## OpenAPI

````yaml /openapi.json get /api/v1/contacts
openapi: 3.1.0
info:
  title: Nudgen Developer API
  version: 1.0.0
  description: >-
    REST API for managing Nudgen contacts, campaigns, brand settings, and AI
    email drafts with Personal Access Token authentication.
servers:
  - url: https://nudgen.net
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Identity
  - name: Contacts
  - name: Campaigns
  - name: Brand settings
  - name: AI
paths:
  /api/v1/contacts:
    get:
      tags:
        - Contacts
      summary: List contacts
      description: >-
        Lists contacts in the active workspace. Contact PII is decrypted in the
        authorized response.
      operationId: listContacts
      parameters:
        - $ref: '#/components/parameters/Page'
        - $ref: '#/components/parameters/Limit'
        - name: search
          in: query
          schema:
            type: string
          description: Search by decrypted contact email.
        - name: tags
          in: query
          schema:
            type: string
          description: Comma-separated tags.
        - name: status
          in: query
          schema:
            type: string
            example: active,unsubscribed
          description: Comma-separated statuses.
      responses:
        '200':
          description: Contact list
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContactListResponse'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '429':
          $ref: '#/components/responses/RateLimited'
components:
  parameters:
    Page:
      name: page
      in: query
      schema:
        type: integer
        minimum: 1
        default: 1
    Limit:
      name: limit
      in: query
      schema:
        type: integer
        minimum: 1
        maximum: 100
        default: 20
  schemas:
    ContactListResponse:
      type: object
      properties:
        contacts:
          type: array
          items:
            $ref: '#/components/schemas/Contact'
        total:
          type: integer
        page:
          type: integer
        limit:
          type: integer
        totalPages:
          type: integer
    Contact:
      type: object
      properties:
        id:
          type: string
        email:
          type: string
          format: email
        name:
          type: string
        phone:
          type: string
        description:
          type: string
        status:
          type: string
          enum:
            - active
            - unsubscribed
            - bounced
        tags:
          type: array
          items:
            type: string
        createdAt:
          type: string
          format: date-time
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
  responses:
    Unauthorized:
      description: Missing, invalid, revoked, or expired token
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    RateLimited:
      description: Rate limit exceeded
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: PAT
      description: Personal Access Token created from Settings -> API Keys.

````